import express from 'express';
import { ExerciseController } from '../controllers/exercise.controller';
import { authenticateToken } from '../middleware/auth';

const router = express.Router();

router.use(authenticateToken);

router.get('/', ExerciseController.getAllExercises);
router.get('/:id/last-set', ExerciseController.getLastSet);
router.post('/', ExerciseController.saveExercise);

export default router;
